<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.protocol.ProtocolStatus (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.protocol.ProtocolStatus (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/protocol/class-use/ProtocolStatus.html" target="_top">Frames</a></li>
<li><a href="ProtocolStatus.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.protocol.ProtocolStatus" class="title">Uses of Class<br>org.apache.nutch.protocol.ProtocolStatus</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol">org.apache.nutch.protocol</a></td>
<td class="colLast">
<div class="block">Classes related to the <a href="../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol"><code>Protocol</code></a> interface,
 see also <a href="../../../../../org/apache/nutch/net/protocols/package-summary.html"><code>org.apache.nutch.net.protocols</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.protocol">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> in <a href="../../../../../org/apache/nutch/protocol/package-summary.html">org.apache.nutch.protocol</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../org/apache/nutch/protocol/package-summary.html">org.apache.nutch.protocol</a> declared as <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_BLOCKED">STATUS_BLOCKED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_FAILED">STATUS_FAILED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_GONE">STATUS_GONE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_NOTFETCHING">STATUS_NOTFETCHING</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_NOTFOUND">STATUS_NOTFOUND</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_NOTMODIFIED">STATUS_NOTMODIFIED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_REDIR_EXCEEDED">STATUS_REDIR_EXCEEDED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_RETRY">STATUS_RETRY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_ROBOTS_DENIED">STATUS_ROBOTS_DENIED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_SUCCESS">STATUS_SUCCESS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_WOULDBLOCK">STATUS_WOULDBLOCK</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/protocol/package-summary.html">org.apache.nutch.protocol</a> that return <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolOutput.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html#getStatus--">getStatus</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html#read-java.io.DataInput-">read</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/protocol/package-summary.html">org.apache.nutch.protocol</a> with parameters of type <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ProtocolOutput.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html#setStatus-org.apache.nutch.protocol.ProtocolStatus-">setStatus</a></span>(<a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a>&nbsp;status)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/nutch/protocol/package-summary.html">org.apache.nutch.protocol</a> with parameters of type <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html#ProtocolOutput-org.apache.nutch.protocol.Content-org.apache.nutch.protocol.ProtocolStatus-">ProtocolOutput</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
              <a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a>&nbsp;status)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/protocol/class-use/ProtocolStatus.html" target="_top">Frames</a></li>
<li><a href="ProtocolStatus.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
